Package org.eclipse.net4j.util.security

## Class DiffieHellman.ParameterSpecGenerator

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.ParameterSpecGenerator

- Enclosing class:
    DiffieHellman

      public static final class DiffieHellman.ParameterSpecGenerator
      extends java.lang.Object

  Creates Diffie-Hellman parameters.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterSpecGenerator()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.crypto.spec.DHParameterSpec` | `generate​(int bits)` | Create Diffie-Hellman parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterSpecGenerator

          public ParameterSpecGenerator()

  - ### Method Detail

    - #### generate

          public static javax.crypto.spec.DHParameterSpec generate​(int bits)

      Create Diffie-Hellman parameters.

      Takes VERY long...